Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCP_Packet Class Reference

This is an abstract class from which all RTCP packet types are derived. It contains code used to validate the RTCP packet. More...

`#include <RTCP_Packet.h>`

Inheritance diagram for RTCP_Packet:

[legend]
Collaboration diagram for RTCP_Packet:

[legend]
List of all members.

## Public Methods
| RTCP_Packet (void)
| Constructor for outgoing RTCP packets. More...
| RTCP_Packet (char *buffer)
| Constructor for incoming RTCP packets. More...
virtual | ~RTCP_Packet ()=0
| Destructor. More...
void | get_packet_data (char **buffer, ACE_UINT16 &length)
| Returns a pointer to a local buffer containing the packet. More...
virtual unsigned int | packet_size (void)=0
| Returns the size of the packet. Defined in child class. More...
int | is_valid (char is_first)
| Checks the validity of an RTCP packet. RTCP packets can be sent together in a compound packet and is_first indicates the first packet in a compound packet. More...
## Protected Methods
virtual void | build_packet (void)=0
| Used to create the byte representation of the RTCP packet. Defined in child class. More...
## Protected Attributes
RTCP_Common_Header | chd_
| Header data common to all RTCP packets. More...
char * | packet_data_
| Buffer to hold byte representation of the RTCP packet. More...

## Detailed Description

This is an abstract class from which all RTCP packet types are derived. It contains code used to validate the RTCP packet.

## Constructor & Destructor Documentation

RTCP_Packet::RTCP_Packet | ( | void |  | ) |

| Constructor for outgoing RTCP packets.

RTCP_Packet::RTCP_Packet | ( | char * | buffer | ) |

| Constructor for incoming RTCP packets.

RTCP_Packet::~RTCP_Packet | ( | void |  | ) | `[pure virtual]`

| Destructor.

## Member Function Documentation

virtual void RTCP_Packet::build_packet | ( | void |  | ) | `[protected, pure virtual]`

| Used to create the byte representation of the RTCP packet. Defined in child class. Reimplemented in RTCP_BYE_Packet, RTCP_RR_Packet, RTCP_SDES_Packet, and RTCP_SR_Packet.

void RTCP_Packet::get_packet_data | ( | char ** | buffer,
|  | ACE_UINT16 & | length
| ) |

| Returns a pointer to a local buffer containing the packet.

int RTCP_Packet::is_valid | ( | char | is_first | ) |

| Checks the validity of an RTCP packet. RTCP packets can be sent together in a compound packet and is_first indicates the first packet in a compound packet.

virtual unsigned int RTCP_Packet::packet_size | ( | void |  | ) | `[pure virtual]`

| Returns the size of the packet. Defined in child class. Reimplemented in RTCP_BYE_Packet, RTCP_RR_Packet, RTCP_SDES_Packet, and RTCP_SR_Packet.

## Member Data Documentation

RTCP_Common_Header RTCP_Packet::chd_`[protected]`

| Header data common to all RTCP packets.

char* RTCP_Packet::packet_data_`[protected]`

| Buffer to hold byte representation of the RTCP packet.

The documentation for this class was generated from the following files:

- RTCP_Packet.h
- RTCP_Packet.cpp